Summary:	An event system library
Summary(pl.UTF-8):	Biblioteka systemu zdarzeń
Name:		tevent
Version:	0.9.31
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	https://www.samba.org/ftp/tevent/%{name}-%{version}.tar.gz
# Source0-md5:	5453847664ae6bc4ec0153e59ac635b9
URL:		http://tevent.samba.org/
BuildRequires:	talloc-devel >= 2:2.1.8
BuildRequires:	python-devel >= 1:2.4.2
BuildRequires:	python-talloc-devel >= 2:2.1.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tevent is an event system based on the talloc memory management
library. It is the core event system used in Samba.

The low level tevent has support for many event types, including
timers, signals, and the classic file descriptor events.

Tevent also provide helpers to deal with asynchronous code providing
the tevent_req (tevent request) functions.

%description -l pl.UTF-8
Tevent to system zdarzeń oparty na bibliotece zarządzającej pamięcią
talloc. Jest to główny system zdarzeń używany w Sambie.

Niskopoziomowo tevent obsługuje wiele rodzajów zdarzeń, w tym
zegary, sygnały i zdarzenia związane z klasycznymi deskryptorami
plików.

Tevent udostępnia także funkcje pomocnicze tevent_req (żądanie tevent)
dla kodu asynchronicznego.

%package devel
Summary:	Header files for tevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tevent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	talloc-devel >= 2:2.1.8

%description devel
Header files for tevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tevent.

%package -n python-tevent
Summary:	Python bindings for tevent
Summary(pl.UTF-8):	Pythonowy interfejs do tevent
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-talloc >= 2:2.1.8
%pyrequires_eq  python-libs

%description -n python-tevent
Python bindings for tevent.

%description -n python-tevent -l pl.UTF-8
Pythonowy interfejs do tevent.

%prep
%setup -q

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtevent.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_pkgconfigdir}/tevent.pc

%files -n python-tevent
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_tevent.so
%{py_sitedir}/tevent.py[co]
%changelog
* Wed Jan 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tevent.git;a=log;h=master

* Wed Jan 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 782d2fe
- updated to 0.9.31

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> c9a1665
- updated to 0.9.29

* Tue Apr 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f70913
- up to 0.9.28

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e1a5df4
- release 2 (by relup.sh)

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> dfca3be
- updated to 0.9.26

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 0c67f1e
- updated to 0.9.25

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> b23e518
- disable rpath; release 2

* Thu Mar 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e859d65
- up to 0.9.24

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> fc0c01b
- updated to 0.9.23

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 65aa172
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 9e2eb38
- updated to 0.9.22

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> a683983
- updated to 0.9.21

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1b5cdca
- updated to 0.9.20

* Sun Aug 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 39d74ad
- updated to 0.9.19

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 7fe7a6e
- updated to 0.9.18

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> e07ca9a
- updated to 0.9.17

* Tue Jun 12 2012 Jakub Bogusz <qboosh@pld-linux.org> b967205
- updated to 0.9.16

* Mon Feb 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 70aba66
- package tevent python module

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> dd71e5f
- up to 0.9.15

* Sat Oct 22 2011 Elan Ruusamäe <glen@pld-linux.org> cf00ee0
- deps

